=== pkg/debian/changelog ===
wolf-shaper (0.1.0-1) stretch; urgency=medium

  * Initial build.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Fri, 11 May 2018 21:12:30 +0200
