=== pkg/debian/control ===
Source: wolf-shaper
Section: sound
Priority: optional
Maintainer: Équipe LibraZiK <librazik@tuxfamily.org>
Uploaders:
 Olivier Humbert <trebmuh@tuxfamily.org>
Build-Depends:
 debhelper (>= 9),
 dssi-dev,
 ladspa-sdk,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-jackd2-dev | libjack-dev,
 liblo-dev,
 libsamplerate0-dev,
 libx11-dev,
 libxcursor-dev,
 libxext-dev,
 lv2-dev,
 pkg-config,
Standards-Version: 3.9.8
Homepage: https://github.com/pdesaulniers/wolf-shaper

Package: wolf-shaper
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 lv2-plugins,
 vst-plugins,
 dssi-plugins,
Description: wolf-shaper plugin
 wolf-shaper is a free, cross-platform distortion plugin with a spline-based
 graph.
 .
 wolf-shaper is using the DPF framework and is available as LV2, DSSI, VST2, and
 standalone JACK-application.
