=== pkg/debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/wolf-shaper-$1\.tar\.gz/ \
  https://github.com/pdesaulniers/wolf-shaper/tags .*/release-?(\d\S*)\.tar\.gz
